//  ** Revision History **
//  22-Aug-1992 (AH - EuroSource AB) Added bytealign of window to speed up things

//****************************************************************************                   
//                    Copyright (C) 1992-1995 EuroSource AB
//
// FILE:         vb1.h
//   
// PURPOSE:      Header file for Animate Control
//   
// COMMENTS:     
//   
// HISTORY:      920606A
//   
//****************************************************************************                    


#ifndef RC_INVOKED

//---------------------------------------------------------------------------
// Property list
//---------------------------------------------------------------------------

PPROPINFO Pic_Properties_Vb1[] =
{
    PPROPINFO_STD_CTLNAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_BACKCOLOR,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_DRAGMODE,
    PPROPINFO_STD_DRAGICON,
    PPROPINFO_STD_TAG,
    &propinfoPicPicture,
    &propinfoPicTiming,
    &propinfoPicAutoRepeat,
    &propinfoPicfromPicture,
    &propinfoPictoPicture,
    &propinfoPicPlay,
    &propinfoPicStyle,
    &propinfoPicValue,
    &propinfoPicAutoSize,
    PPROPINFO_STD_BORDERSTYLEOFF,   
    &Property_Animate_About,
    &propinfoPicInterval,
    &propinfoPichWnd,               
    &propinfoPicDrawMode,
    NULL
};


//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------

PEVENTINFO Pic_Events_Vb1[] =
{          
    &Event_Change,
    PEVENTINFO_STD_CLICK,
    PEVENTINFO_STD_DRAGDROP,
    PEVENTINFO_STD_DRAGOVER,                
    &Event_End,
    NULL
};

//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------
// Define the control model (using the event and property structures).
//---------------------------------------------------------------------------
MODEL modelAnimate_Vb1 =
{
    VB100_VERSION,                         // VB version being used
    MODEL_fDesInteract | MODEL_fFocusOk | MODEL_fChildrenOk, // MODEL flags
    (PCTLPROC)AnimateCtlProc,           // Control procedures
    CS_VREDRAW | CS_HREDRAW |           // Class style
    CS_BYTEALIGNWINDOW,
    0,                                  // Default Windows style
    sizeof(ANIMATE),                    // Size of PIX structure
    IDBMP_PIC,                          // Palette bitmap ID
    "MultiPush",                        // Default control name
    "MultiPush",                        // Visual Basic class name
    NULL,                               // Parent class name
    Pic_Properties_Vb1,                 // Property information table
    Pic_Events_Vb1,                     // Event information table 
	IPROP_ANIMATE_PICTURE,				// Default property
	IEVENT_ANIMATE_END,					// Default event
};

LPMODEL modellistAnimate_Vb1[] =
    {
    &modelAnimate_Vb1,
    NULL
    };

MODELINFO modelinfoAnimate_Vb1 =
    {
    VB100_VERSION, 			// VB version being used
    modellistAnimate_Vb1	// MODEL list
    };

#endif  // RC_INVOKED

//---------------------------------------------------------------------------
